Index: cprs/trunk/CPRS-Chart/Consults/fEditProc.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/Consults/fEditProc.dfm	(revision 456)
+++ cprs/trunk/CPRS-Chart/Consults/fEditProc.dfm	(revision 829)
@@ -1,26 +1,25 @@
-object frmEditProc: TfrmEditProc
+inherited frmEditProc: TfrmEditProc
   Tag = 112
   Left = 296
   Top = 245
-  Width = 569
-  Height = 335
+  Width = 571
+  Height = 359
   HorzScrollBar.Range = 561
   VertScrollBar.Range = 308
-  AutoScroll = False
   Caption = 'Edit and resubmit a cancelled procedure'
-  Color = clBtnFace
-  Font.Charset = DEFAULT_CHARSET
-  Font.Color = clWindowText
-  Font.Height = -11
-  Font.Name = 'MS Sans Serif'
-  Font.Style = []
+  Constraints.MinHeight = 359
+  Constraints.MinWidth = 571
   OldCreateOrder = True
   Position = poScreenCenter
+  ExplicitLeft = 296
+  ExplicitTop = 245
+  ExplicitWidth = 571
+  ExplicitHeight = 359
   DesignSize = (
-    561
-    308)
+    563
+    325)
   PixelsPerInch = 96
   TextHeight = 13
-  object lblProc: TLabel
+  object lblProc: TLabel [0]
     Left = 3
     Top = 7
@@ -29,5 +28,5 @@
     Caption = 'Procedure'
   end
-  object lblReason: TLabel
+  object lblReason: TLabel [1]
     Left = 3
     Top = 167
@@ -36,5 +35,5 @@
     Caption = 'Reason for Consult'
   end
-  object lblService: TOROffsetLabel
+  object lblService: TOROffsetLabel [2]
     Left = 3
     Top = 49
@@ -47,5 +46,5 @@
     WordWrap = False
   end
-  object lblComment: TLabel
+  object lblComment: TLabel [3]
     Left = 106
     Top = 109
@@ -54,5 +53,5 @@
     Caption = 'New Comments'
   end
-  object lblComments: TLabel
+  object lblComments: TLabel [4]
     Left = 3
     Top = 99
@@ -61,5 +60,5 @@
     Caption = 'Display Comments:'
   end
-  object lblUrgency: TStaticText
+  object lblUrgency: TStaticText [5]
     Left = 190
     Top = 7
@@ -69,5 +68,5 @@
     TabOrder = 18
   end
-  object lblPlace: TStaticText
+  object lblPlace: TStaticText [6]
     Left = 362
     Top = 50
@@ -77,5 +76,5 @@
     TabOrder = 19
   end
-  object lblAttn: TStaticText
+  object lblAttn: TStaticText [7]
     Left = 362
     Top = 7
@@ -85,5 +84,5 @@
     TabOrder = 20
   end
-  object lblProvDiag: TStaticText
+  object lblProvDiag: TStaticText [8]
     Left = 190
     Top = 81
@@ -93,5 +92,5 @@
     TabOrder = 21
   end
-  object lblInpOutp: TStaticText
+  object lblInpOutp: TStaticText [9]
     Left = 192
     Top = 48
@@ -101,9 +100,9 @@
     TabOrder = 17
   end
-  object memReason: TRichEdit
+  object memReason: TRichEdit [10]
     Left = 2
     Top = 181
-    Width = 555
-    Height = 95
+    Width = 557
+    Height = 119
     Anchors = [akLeft, akTop, akRight, akBottom]
     Font.Charset = DEFAULT_CHARSET
@@ -123,7 +122,7 @@
     OnKeyUp = memCommentKeyUp
   end
-  object cmdAccept: TButton
-    Left = 399
-    Top = 282
+  object cmdAccept: TButton [11]
+    Left = 401
+    Top = 303
     Width = 72
     Height = 21
@@ -133,7 +132,7 @@
     OnClick = cmdAcceptClick
   end
-  object cmdQuit: TButton
-    Left = 484
-    Top = 282
+  object cmdQuit: TButton [12]
+    Left = 486
+    Top = 303
     Width = 72
     Height = 21
@@ -144,5 +143,5 @@
     OnClick = cmdQuitClick
   end
-  object cboUrgency: TORComboBox
+  object cboUrgency: TORComboBox [13]
     Left = 190
     Top = 22
@@ -168,5 +167,5 @@
     CharsNeedMatch = 1
   end
-  object radInpatient: TRadioButton
+  object radInpatient: TRadioButton [14]
     Left = 190
     Top = 61
@@ -177,5 +176,5 @@
     OnClick = radInpatientClick
   end
-  object radOutpatient: TRadioButton
+  object radOutpatient: TRadioButton [15]
     Left = 264
     Top = 61
@@ -186,8 +185,8 @@
     OnClick = radOutpatientClick
   end
-  object cboPlace: TORComboBox
+  object cboPlace: TORComboBox [16]
     Left = 362
     Top = 63
-    Width = 195
+    Width = 197
     Height = 21
     Anchors = [akLeft, akTop, akRight]
@@ -210,9 +209,10 @@
     OnChange = ControlChange
     CharsNeedMatch = 1
-  end
-  object txtProvDiag: TCaptionEdit
+    ExplicitWidth = 195
+  end
+  object txtProvDiag: TCaptionEdit [17]
     Left = 190
     Top = 94
-    Width = 313
+    Width = 315
     Height = 21
     Anchors = [akLeft, akTop, akRight]
@@ -225,8 +225,8 @@
     Caption = 'Provisional Diagnosis'
   end
-  object txtAttn: TORComboBox
+  object txtAttn: TORComboBox [18]
     Left = 362
     Top = 22
-    Width = 195
+    Width = 197
     Height = 21
     Anchors = [akLeft, akTop, akRight]
@@ -250,6 +250,7 @@
     OnNeedData = txtAttnNeedData
     CharsNeedMatch = 1
-  end
-  object cboProc: TORComboBox
+    ExplicitWidth = 195
+  end
+  object cboProc: TORComboBox [19]
     Left = 3
     Top = 22
@@ -283,5 +284,5 @@
     CharsNeedMatch = 1
   end
-  object cboCategory: TORComboBox
+  object cboCategory: TORComboBox [20]
     Left = 505
     Top = -11
@@ -306,5 +307,5 @@
     CharsNeedMatch = 1
   end
-  object cboService: TORComboBox
+  object cboService: TORComboBox [21]
     Left = 3
     Top = 65
@@ -337,8 +338,8 @@
     CharsNeedMatch = 1
   end
-  object memComment: TRichEdit
+  object memComment: TRichEdit [22]
     Left = 106
     Top = 123
-    Width = 449
+    Width = 451
     Height = 38
     Anchors = [akLeft, akTop, akRight]
@@ -349,8 +350,8 @@
     OnKeyUp = memCommentKeyUp
   end
-  object pnlMessage: TPanel
-    Left = 29
-    Top = 264
-    Width = 381
+  object pnlMessage: TPanel [23]
+    Left = 19
+    Top = 276
+    Width = 383
     Height = 44
     Anchors = [akLeft, akRight, akBottom]
@@ -383,5 +384,5 @@
     end
   end
-  object btnCmtCancel: TButton
+  object btnCmtCancel: TButton [24]
     Left = 11
     Top = 116
@@ -392,5 +393,5 @@
     OnClick = btnCmtCancelClick
   end
-  object btnCmtOther: TButton
+  object btnCmtOther: TButton [25]
     Left = 11
     Top = 139
@@ -401,6 +402,6 @@
     OnClick = btnCmtOtherClick
   end
-  object cmdLexSearch: TButton
-    Left = 507
+  object cmdLexSearch: TButton [26]
+    Left = 509
     Top = 94
     Width = 49
@@ -410,4 +411,79 @@
     TabOrder = 8
     OnClick = cmdLexSearchClick
+  end
+  inherited amgrMain: TVA508AccessibilityManager
+    Data = (
+      (
+        'Component = lblUrgency'
+        'Status = stsDefault')
+      (
+        'Component = lblPlace'
+        'Status = stsDefault')
+      (
+        'Component = lblAttn'
+        'Status = stsDefault')
+      (
+        'Component = lblProvDiag'
+        'Status = stsDefault')
+      (
+        'Component = lblInpOutp'
+        'Status = stsDefault')
+      (
+        'Component = memReason'
+        'Status = stsDefault')
+      (
+        'Component = cmdAccept'
+        'Status = stsDefault')
+      (
+        'Component = cmdQuit'
+        'Status = stsDefault')
+      (
+        'Component = cboUrgency'
+        'Status = stsDefault')
+      (
+        'Component = radInpatient'
+        'Status = stsDefault')
+      (
+        'Component = radOutpatient'
+        'Status = stsDefault')
+      (
+        'Component = cboPlace'
+        'Status = stsDefault')
+      (
+        'Component = txtProvDiag'
+        'Status = stsDefault')
+      (
+        'Component = txtAttn'
+        'Status = stsDefault')
+      (
+        'Component = cboProc'
+        'Status = stsDefault')
+      (
+        'Component = cboCategory'
+        'Status = stsDefault')
+      (
+        'Component = cboService'
+        'Status = stsDefault')
+      (
+        'Component = memComment'
+        'Status = stsDefault')
+      (
+        'Component = pnlMessage'
+        'Status = stsDefault')
+      (
+        'Component = memMessage'
+        'Status = stsDefault')
+      (
+        'Component = btnCmtCancel'
+        'Status = stsDefault')
+      (
+        'Component = btnCmtOther'
+        'Status = stsDefault')
+      (
+        'Component = cmdLexSearch'
+        'Status = stsDefault')
+      (
+        'Component = frmEditProc'
+        'Status = stsDefault'))
   end
   object mnuPopProvDx: TPopupMenu
